Upstream information

CVE-2015-8949 at MITRE

Description

Use-after-free vulnerability in the my_login function in DBD::mysql before 4.033_01 allows attackers to have unspecified impact by leveraging a call to mysql_errno after a failure of my_login.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 10 5.1
Vector AV:N/AC:L/Au:N/C:C/I:C/A:C AV:N/AC:H/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Low High
Authentication None None
Confidentiality Impact Complete Partial
Integrity Impact Complete Partial
Availability Impact Complete Partial
SUSE Bugzilla entries: 991207 [RESOLVED / INVALID], 991212 [RESOLVED / INVALID]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 perl-DBD-mysql Not affected
SUSE Linux Enterprise Desktop 11 SP4 perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 11 SP3 perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 11 SP4 perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 12 perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 12 SP1 perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 12 SP2 perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 12 SP2-BCL perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 12 SP3 perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 12 SP3-BCL perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 12 SP4 perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 12 SP5 perl-DBD-mysql Not affected
SUSE Linux Enterprise Server 12-LTSS perl-DBD-mysql Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 perl-DBD-mysql Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 perl-DBD-mysql Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 perl-DBD-mysql Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 perl-DBD-mysql Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 perl-DBD-mysql Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 perl-DBD-mysql Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 perl-DBD-mysql Not affected
SUSE OpenStack Cloud 7 perl-DBD-mysql Not affected
SUSE OpenStack Cloud 8 perl-DBD-mysql Not affected
SUSE OpenStack Cloud 9 perl-DBD-mysql Not affected
SUSE OpenStack Cloud Crowbar 8 perl-DBD-mysql Not affected
SUSE OpenStack Cloud Crowbar 9 perl-DBD-mysql Not affected


SUSE Timeline for this CVE

CVE page created: Wed Jul 27 04:15:18 2016
CVE page last modified: Tue Nov 29 13:35:52 2022